Name:           perl-Filter
Version:        1.30
Release:        7
Summary:        Filter Perl module

Group:          Development/Libraries
License:        GPL or Artistic
Url:            http://search.cpan.org/dist/Filter/
Source0:      http://www.cpan.org/authors/id/P/PM/PMQS/Filter-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(Filter)

%description
This package provides source-level filters for Perl modules.  Source
filters alter the program text of a module before Perl sees it, much
as a C preprocessor alters the source text of a C program before the
compiler sees it.


%prep
%setup -q -n Filter-%{version} 
%{__perl} -pi -e 's|^#!/usr/local/bin/perl\b|#!%{__perl}|' examples/filtdef
chmod 644 examples/filt*

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check || :
make test
# Remove *.bak
find $RPM_BUILD_ROOT -type f -name '*.bak' -exec rm -f {} ';'
find $RPM_BUILD_DIR/Filter-%{version} -type f -name '*.bak' -exec rm -f {} ';'

%clean 
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_vendorarch}/filter-util.pl
%{perl_vendorarch}/perlfilter.pod
%{perl_vendorarch}/Filter/
%{perl_vendorarch}/auto/Filter/
%{_mandir}/man3/*.3*


%changelog
* Thu Apr 21 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.30-7
- #155621 #133986 #140909
- Bring up to date with current Fedora.Extras perl spec template.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun 17 2003 Chip Turner <cturner@redhat.com> 1.29-8
- rebuild

* Mon Jan 27 2003 Chip Turner <cturner@redhat.com>
- version bump and rebuild

* Tue Dec 10 2002 Chip Turner <cturner@redhat.com>
- update to latest version from CPAN

* Wed Nov 20 2002 Chip Turner <cturner@redhat.com>
- rebuild

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Jul 16 2002 Chip Turner <cturner@redhat.com>
- updated %description

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Fri Jun 07 2002 cturner@redhat.com
- Specfile autogenerated

